GyotoSpectrometer.h File Reference

Spectroscopic capabilities of a Screen. More...

`#include <GyotoDefs.h>`
`#include <GyotoSmartPointer.h>`
`#include <GyotoObject.h>`
`#include <GyotoRegister.h>`
`#include <GyotoHooks.h>`
`#include <string>`

Go to the source code of this file.

## Classes

class | Gyoto::Spectrometer::Generic
| Base class for spectrometers. More...

## Namespaces

namespace | Gyoto::Spectrometer
| Access to spectrometers.
namespace | Gyoto
| Namespace for the Gyoto library.
namespace | Gyoto::Register
| Gyoto registers.

## Typedefs

typedef char const * | Gyoto::Spectrometer::kind_t
| Type for Spectrometer kind.
typedef SmartPointer< Gyoto::Spectrometer::Generic > | Gyoto::Spectrometer::Subcontractor_t(Gyoto::FactoryMessenger *, std::vector< std::string > const &)
| A function to build instances of a specific Astrobj::Generic sub-class.

## Functions

Gyoto::Spectrometer::Subcontractor_t * | Gyoto::Spectrometer::getSubcontractor (std::string name, std::vector< std::string > &plugins, int errmode=0)
| Query the Spectrometer register.
template<typename T>
SmartPointer< Spectrometer::Generic > | Gyoto::Spectrometer::Subcontractor (FactoryMessenger *fmp, std::vector< std::string > const &plugins)
| A template for Subcontractor_t functions.
void | Gyoto::Spectrometer::initRegister ()
| Initialize the Spectrometer register This must be called once. It initializes Register_ and registers the standard kinds (Uniform and Complex).
void | Gyoto::Spectrometer::Register (std::string name, Gyoto::Spectrometer::Subcontractor_t *scp)
| Register a new Spectrometer kind.

## Variables

Gyoto::Register::Entry * | Gyoto::Spectrometer::Register_
| The Spectrometer register.

## Detailed Description

Spectroscopic capabilities of a Screen.

Describes the spectroscopic capabilites of a Screen.